org.eclipse.rdf4j.query.parser

## Class ParsedBooleanQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.ParsedOperation
  - - org.eclipse.rdf4j.query.parser.ParsedQuery
    - - org.eclipse.rdf4j.query.parser.ParsedBooleanQuery

- Direct Known Subclasses:
    ParsedBooleanTemplate

      public class ParsedBooleanQuery
      extends ParsedQuery

  A query formulated in the OpenRDF query algebra that produces a boolean value as its result.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedBooleanQuery()` Creates a new boolean query.
    `ParsedBooleanQuery(String sourceString, TupleExpr tupleExpr)` Creates a new boolean query for the supplied tuple expression.
    `ParsedBooleanQuery(TupleExpr tupleExpr)` Creates a new boolean query for the supplied tuple expression.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedQuery

      `getDataset, getTupleExpr, setDataset, setTupleExpr, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedOperation

      `getSourceString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedBooleanQuery

          public ParsedBooleanQuery()

      Creates a new boolean query. To complete this query, a tuple expression needs to be supplied to it using `ParsedQuery.setTupleExpr(TupleExpr)`.

    - #### ParsedBooleanQuery

          public ParsedBooleanQuery(TupleExpr tupleExpr)

      Creates a new boolean query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in OpenRDF Query Algebra objects.

    - #### ParsedBooleanQuery

          public ParsedBooleanQuery(String sourceString,
                                    TupleExpr tupleExpr)

      Creates a new boolean query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in OpenRDF Query Algebra objects.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.